Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMLength

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGLength
          org.apache.batik.dom.svg.SVGOMLength

All Implemented Interfaces:
  org.w3c.dom.svg.SVGLength

    public class SVGOMLength

extends AbstractSVGLength

Default implementation of SVGLength. This implementation is not linked to any attribute in the Document. It is used by the root element to return a default SVGLength.

See Also:
  `SVGSVGElement.createSVGLength()`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`AbstractSVGLength.DefaultContext`

Field Summary
`protected AbstractElement` | `element` Element associated to this length.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`context, direction, HORIZONTAL_LENGTH, OTHER_LENGTH, UNITS, unitType, value, VERTICAL_LENGTH`

Fields inherited from interface org.w3c.dom.svg.SVGLength
`SVG_LENGTHTYPE_CM, SVG_LENGTHTYPE_EMS, SVG_LENGTHTYPE_EXS, SVG_LENGTHTYPE_IN, SVG_LENGTHTYPE_MM, SVG_LENGTHTYPE_NUMBER, SVG_LENGTHTYPE_PC, SVG_LENGTHTYPE_PERCENTAGE, SVG_LENGTHTYPE_PT, SVG_LENGTHTYPE_PX, SVG_LENGTHTYPE_UNKNOWN`

Constructor Summary
`SVGOMLength(AbstractElement elt)` Default constructor.

Method Summary
`protected SVGOMElement` | `getAssociatedElement()` Return the SVGElement associated to this length.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`convertToSpecifiedUnits, getUnitType, getValue, getValueAsString, getValueInSpecifiedUnits, newValueSpecifiedUnits, parse, reset, revalidate, setValue, setValueAsString, setValueInSpecifiedUnits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected AbstractElement element

  Element associated to this length.

Constructor Detail

### SVGOMLength

    public SVGOMLength(AbstractElement elt)

  Default constructor. The direction of this length is undefined and this length is not associated to any attribute.

Method Detail

### getAssociatedElement

    protected SVGOMElement getAssociatedElement()

  Description copied from class: `AbstractSVGLength`
  Return the SVGElement associated to this length.

  Specified by:
    `getAssociatedElement` in class `AbstractSVGLength`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.